Bug 765530 (GLUSTER-3798)

Summary: [glusterfs-3.2.5qa6]: glusterfs build on nfs mount fails
Product: [Community] GlusterFS Reporter: Raghavendra Bhat <rabhat>
Component: nfsAssignee: Krishna Srinivas <krishna>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: pre-releaseCC: gluster-bugs, vijay
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Raghavendra Bhat 2011-11-09 10:10:58 EST
  CC     read-only-common.lo
  CCLD   read-only.la
  CC     worm.lo
  CCLD   worm.la
Making all in mac-compat
Making all in src
  CC     mac-compat.lo
  CCLD   mac-compat.la
Making all in quiesce
Making all in src
  CC     quiesce.lo
  CCLD   quiesce.la
Making all in marker
Making all in src
  CC     marker.lo
  CC     marker-quota.lo
  CC     marker-quota-helper.lo
  CC     marker-common.lo
  CCLD   marker.la
Making all in utils
Making all in syncdaemon
Making all in src
  CC     gsyncd.o
gsyncd.c: In function ‘main’:
gsyncd.c:48: warning: dereferencing pointer ‘argv.33’ does break strict-aliasing rules
gsyncd.c:80: note: initialized from here
  CC     procdiggy.o
  CCLD   gsyncd
../../../../../libglusterfs/src/.libs/libglusterfs.so: undefined reference to `gf_proc_dump_latency_info'
collect2: ld returned 1 exit status
make[6]: *** [gsyncd] Error 1
make[5]: *** [all-recursive] Error 1
make[4]: *** [all-recursive] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
[root@RHEL6 glusterfs.git]# 


nfs log file last entries:

88-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.16342] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.18840] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.20629] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.35620] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-3608054970, gfid:4d5
a7514-a9b3-4eb8-967f-f4aafdf8c4f9)
[2011-11-09 13:07:49.38323] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-3608054970, gfid:4d5
a7514-a9b3-4eb8-967f-f4aafdf8c4f9)
[2011-11-09 13:07:49.48921] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.51473] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.53923] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.55790] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:511571476, gfid:cdae6
988-8061-4317-b847-0db856f7ed52)
[2011-11-09 13:07:49.60961] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-3437197120, gfid:e6c
3f52f-f9ca-4f0b-a58c-1263f40431fd)
[2011-11-09 13:07:49.62491] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-3437197120, gfid:e6c
3f52f-f9ca-4f0b-a58c-1263f40431fd)
[2011-11-09 13:07:49.76080] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-11198323564, gfid:2a
ff9b4b-3c07-4a37-bd6d-db7b9bb3edaa)
[2011-11-09 13:07:49.78048] W [quota.c:2165:quota_fstat_cbk] 0-mirror-quota: quota context not set in inode (ino:-11198323564, gfid:2a
ff9b4b-3c07-4a37-bd6d-db7b9bb3edaa)
[2011-11-09 13:07:49.522025] I [client.c:1883:client_rpc_notify] 0-t1-client-0: disconnected
[2011-11-09 13:07:51.528063] I [client.c:1883:client_rpc_notify] 0-t1-client-1: disconnected
[2011-11-09 13:07:52.530402] I [client.c:1883:client_rpc_notify] 0-t1-client-0: disconnected
[2011-11-09 13:07:54.536265] I [client.c:1883:client_rpc_notify] 0-t1-client-1: disconnected
[2011-11-09 13:07:55.538706] I [client.c:1883:client_rpc_notify] 0-t1-client-0: disconnected
[2011-11-09 13:07:57.544128] I [client.c:1883:client_rpc_notify] 0-t1-client-1: disconnected
[2011-11-09 13:07:58.546896] I [client.c:1883:client_rpc_notify] 0-t1-client-0: disconnected
[2011-11-09 13:08:00.553196] I [client.c:1883:client_rpc_notify] 0-t1-client-1: disconnected
[2011-11-09 13:08:01.555886] I [client.c:1883:client_rpc_notify] 0-t1-client-0: disconnected
[2011-11-09 13:08:03.562010] I [client.c:1883:client_rpc_notify] 0-t1-client-1: disconnected
:
Comment 1 Raghavendra Bhat 2011-11-09 13:09:43 EST
glusterfs compilation (make) fails on the nfs mount.
Comment 2 Krishna Srinivas 2011-11-10 03:52:40 EST
Johnny, I tried it on dist, dist-rep nfs setup, compiled fine. can you give me the setup? I also tried with quota on.
Comment 3 Raghavendra Bhat 2011-11-10 04:12:29 EST
yes....I have the setup still with me.
Comment 4 Krishna Srinivas 2011-11-10 05:07:24 EST
how do I access the setup?
Comment 5 Krishna Srinivas 2011-11-13 22:56:07 EST
Johnny,
On 10.1.11.142, in /nfs/playground/glusterfs.git, you had done some changes to the source and so the compilation was failing, i did this:
git diff > /tmp/diff
git stash
sh autogen.sh
./configure
make

it completed fine.

I also compiled 3.2.4 from source and it completed fine.
Comment 6 Krishna Srinivas 2011-11-15 01:49:07 EST
I will close this now, please reopen if it is still a problem.